package com.huimv.getdata.mapper;

import com.huimv.getdata.entity.center.CaiGouJinE;
import com.huimv.getdata.entity.center.DangQianYvQi;
import com.huimv.getdata.entity.center.XiaoShouE;
import com.huimv.getdata.entity.center.YangMaoZhiCaiGouJinE;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface ErpCenterMapper {

    List<XiaoShouE> getXiaoShouE(@Param("date") String date);

    List<DangQianYvQi> getDangQianYvQi(@Param("date")String date);

    List<CaiGouJinE> getCaiGouJinE(@Param("date") String date);

    List<YangMaoZhiCaiGouJinE> getYangMaoZhiCaiGouJinE(@Param("date")String date);

    Map getAll();
}
